|
Spring Web Flow | ||||||||
| PREV NEXT | FRAMES NO FRAMES | ||||||||
MappingResult implementations.NumberFormatFactory implementations.FlowExecutionSnapshotFactory.Scope implementations that access a Web Flow scope from the current request.MultiAction in expressions.true if the action's result
is equal to the 'trueEventId', false otherwise.GenericConversionService.addConverter(Converter) instead or better yet use Spring 3 type conversion and
formatting options (see Spring Documentation).
DefaultMapping between the given request parameter name and a matching model field.
DefaultMapping instance for all incoming request parameters except those having a special field
marker prefix.
DefaultMapping that results in setting the target field on the model to an empty value
(typically null).
DefaultMapping for the given BinderConfiguration.Binding.
DefaultMapping for every configured view BinderConfiguration.Binding for which there is an incoming request
parameter.
Lifecycle.
<sf:ajaxEvent> tag.Action implementation for
use within a specific Action execution context, for example an ActionState definition, a
TransitionCriteria definition, or in a test environment.AttributeMap.
Map.
AttributeMap.AttributeMap.Renderer for typical faces components, handling the rendering for common UIComponent attributes.Renderer for components that require the Dojo implementation of Spring JavaScript to be available on the
client.Renderer for components that require the Spring JavaScript library on the client.BeanFactory.bean wrapper to evaluate or set a property of a context.DefaultConversionService to perform type conversion.
field to the supplied field list.
FlowExecution that is running.FlowDefinitionLocator.getFlowDefinition(String)
able to obtain a flow definition instance for the given id? Will ask the parent registry if the flow cannot be
found in this instance.
ConversationManager.scope implementation.Converter.getSourceClass() to a target type of type
Converter.getTargetClass().conversation
parameters object.
Flow definition object.
form action.
ResourceLoader used by the FlowDefinitionResourceFactory to load flow resources from
a path.
View objects that can render the view template with the
provided identifier.
Converter implementation that converts an Object, Object array, or List into a JSF
DataModel.true in the context of the current request.FlowException now handled by the Web Flow system.
DecimalFormat instance returned by calling
NumberFormat.getInstance(Locale) by default.doEnter template method that executes behavior specific to this state
type in polymorphic fashion.
doEnter template method that executes behavior specific to this state
type in polymorphic fashion.
doEnter template method that executes behavior specific to this state type
in polymorphic fashion.
doEnter template method that executes behaviour specific to this state
type in polymorphic fashion.
Renderer implementation that renders the JavaScript resources required by the Dojo versions of the Spring
Faces components.Renderer implementation that renders the CSS resources required by Dojo's widget system.UIComponent for a component that uses the Dojo implementation of Spring JavaScript to decorate a child
component with enhanced client-side behavior.PropertyResolver that delegates to a wrapped Unified EL resolver chain for property resolution.VariableResolver that delegates to a wrapped Unified EL resolver chain for variable resolution.id and no payload.
id and payload attributes.
Event objects.handler.
targetClass
ExternalContext instance with the current thread.AbstractAuthorizeTag for use with standard Facelets rendering technology (JSF 2
or higher).TagHandler.
TagHandler for performing Spring Security authorization decisions.ConversionService implementation for JSF that composes
JSF-specific converters with the standard Web Flow converters.ExpressionParser for use with JSF.FlowUrlHandler implementation that is an alternative to the standard
DefaultFlowUrlHandler.scope implementation.ActionListener implementation to be used with Web Flow.Application instance in order to ensure Web Flow specific implementations of ViewHandler and
StateManager are inserted at the front of the processing chain in JSF 1.2 and JSF 2.0 environments.ApplicationFactory that ensures the FlowApplication is the first Application in the chain,
which in turn guarantees the install order for other JSF components.flows, states, and transitions.FlowBuilder to construct a flow.id.default flow execution implementation.FlowExecutionRepository.flow executions.FlowExecutionRepository exception hierarchy.FlowExecutionSnapshotFactory.FlowExecutionSnapshot implementations.FlowExecutionImpl to track its status.FacesContext implementation that delegates all standard FacesContext messaging functionality to a
Spring MessageSource made accessible as part of the current Web Flow request.FlowExecutionListener that creates a FlowFacesContext
instance when a flow request is submitted and releases it when the request
has been processed.FlowFacesContext that handles all faces message methods.HandlerMapping that follows a simple convention for
creating URL path mappings from the ids of registered flow definitions.Lifecycle for Spring Web Flow that only executes the APPLY_REQUEST_VALUES through INVOKE_APPLICATION
phases.Flow definition object from a FlowModel.Flow from a FlowModel.
id.PartialViewContext implementation allowing ids for partial rendering to be specified from the
server-side.MessageSource.scope implementation.flow definition launched within an overall flow execution.ViewHandler implementation that provides JSF Form's with the correct FlowExecution URL,
including the current FlowExecutionKey, so that postbacks may be properly intercepted and handled by Web Flow.StateManager that manages the JSF component state in web flow's view scope.null if
not found.
null if not found.
null if no value is found.
String to the target type.
String to the target type or returning the defaultValue
if not found.
${foo.bar}.
FlowExecutionKey should always be generated before each put call.
null
if not found.
null if no value is found.
null if
no value is found.
attribute map allowing setting of mock context
attributes.
null if no value was found.
null if no value was found.
null if no value was found.
null if no value was found.
null if not found.
FlowExecution with the provided key.
null as most Spring Web Flow scopes do not have obvious conversation ids.
sourceClass to instances of the targetClass.
sourceClass to instances of the targetClass.
conversion executors that will be adapted to
property editors for use during a
set value call.
Errors tracker from the context, using the form object name.
Errors tracker from the context, using the form object name.
ELContext to be used in evaluating EL expressions on the given base target
object.
Flow implementation.
id of the flow definition held by this holder.
FlowExecution indexed by the provided key.
Errors tracker from the context, using the specified form object name.
null if no value was found.
null if no value was found.
null if no value was found.
null if no value was found.
null if no value was found.
null if no value was found.
MockExternalContext.
MockFlowExecutionContext.
MockParameterMap for convenient access in a unit test.
null if no value is found.
null if the action is unnamed.
null if no value was
found.
null if no
value was found.
null if no
value was found.
NumberFormat instance to use to format an object for
display.
null if there is no parent flow
session.
Lifecycle.
RequestControlContext.getRedirectOnPause().
FlowViewResponseStateManager in a JSF 2 environment or returns the delegates's
ResponseStateManager instance otherwise.
id, or null if no such snapshot exists with that
id.
FlowSerializedView and turns it to an array before
returning.
ids for the state definitions
associated with this flow definition.
null if no value was found.
null if no value was found.
TransitionableState with given stateId.
eventIds that should cause this criteria to return true (it will return
false otherwise).
ConversionExecutionException.getSourceClass().
Expression.setValue(Object, Object) method for the given
context.
View.processUserEvent() raised a flow event the current state should handle.
FlowModelHolder.getFlowModel().
FlowModelBuilder.init().
FlowExecutionListener that implements the Flow Managed Persistence Context (FMPC) pattern using the native
Hibernate API.AttributeMapBindingListener to a HTTP specific
HttpSessionBindingListener.active
session and remains active until it has ended.
ExternalContext.recordResponseComplete(), or
Calling one of the redirect request methods
FlowExecutionListener that implements the Flow Managed Persistence Context (FMPC) pattern using the
standard Java Persistence API (JPA).AbstractAuthorizeTag for use with Facelets rendering technology in JSF 1.2
environments.TagHandler.
TagHandler for performing Spring Security authorization decisions.FlowHandlerAdapter that replaces the default AjaxHandler instance with a
JsfAjaxHandler assuming JSF 2 is the runtime environment.View implementation.ViewFactory implementation.ViewFactoryCreator implementation for creating instances of a JSF-specific ViewFactory.Map implementation.Exception indicating that some Thread was interrupted during
processing and as such processing was halted.SystemInterruptedException.
DataModel implementation that tracks the currently selected rows, allowing any number of rows to be
selected at one time.ELResolver for properly resolving variables in an instance of MapAdaptableMapAdaptable and writing to MutableAttributeMap.MappingResults.getResults(MappingResultsCriteria).MessageResolver objects programmatically.MessageContext.getMessagesByCriteria(MessageCriteria).MessageSource of the active Flow.success execution result.
ExternalContext interface.FlowSession interface.RequestContext interface to facilitate standalone flow artifact (e.g.RequestControlContext interface to facilitate standalone Flow and State unit
tests.view factories that create native Spring MVC-based views.FlowExecution instance.
conversationId.NumberFormat objects.DataModel implementation that tracks the currently selected row, allowing only one selection at a time.Flow instances from a
FlowModel.persistence context is indexed under.
persistence context is indexed under.
ExternalContext for use with Portlet requests.ViewHandler implementation is needed because portions of the native Facelets ViewHandler depend on the
Servlet API and cannot be used directly in a Portlet environment.Renderer for the <sf:commandButton> tag.Renderer for the <sf:commandLink> tag.UIComponent implementation that backs the <sf:commandButton> tag.TwoWayConverter interface.FlowExecution in this repository under the provided key.
Lifecycle.
Lifecycle.
tag for a given dojo include.
tag for a given script resource.
tag for a given script resource.
tag for a given stylesheet resource.
RequestContextELResolver.REQUEST_CONTEXT_VARIABLE_NAME.RequestContext instance with the current thread.PhaseListener that logs the execution of the individual phases of the JSF lifecycle.FlowFacesContext instance.
scope implementation.FlowFacesContext that is then available for the duration of the request.
MessageSourceResolvable.
MessageSourceResolvable instances.
Renderer for the <sf:resourceGroup> tag.Renderer for the <sf:resource> tag.Event object from an arbitrary object such as an expression evaluation result or
bean method return value.ResultEventFactory to use for a particular result object.TwoWayConverter.convertTargetToSourceClass(Object, Class) on a target
TwoWayConverter instance.ConfigurableListableBeanFactory.DataModel implementations that need to track selected rows.ActionListener that inspects the UIComponent that signaled the current ActionEvent to
determine whether it is a child of any iterator type of component (such as UIData) that uses a
SelectionAware data model implementation.HttpServletResponse.sendRedirect(String).Called to actually
perform flow execution redirects, flow definition redirects, and external redirects.
SerializedFlowExecutionSnapshotFactory.Externalizable custom serialization semantics.
scope when executed.FlowExecutionKey should always be generated before each put call.
conversion executors that will be adapted
to property editors for use during a
set value call.
FlowResourceFlowViewResolver capable of resolving view resources by applying the specified
default resource suffix.
View objects.
NumberFormat instance that will format numbers handled by this
converter.
stateId; a state must exist by the
provided stateId.
FlowViewStateManager in front of the given StateManager (if not already done).
eventIds that should cause this precondition to return true (it will return
false otherwise).
FormAction.getFormObjectScope()
if necessary.
BeanWrapper should be enabled.
Validator to apply to the model.
FlowViewHandler in front of the given ViewHandler (if not already done).
view resolvers to delegate to resolve views selected by flows.
Map that exposes a mutex that application code can synchronize on.SharedMap.ConversationManager.flow execution instance.VariableResolver that delegates to the
flow's local Spring bean factory (for resolving Spring beans) and then
to the original resolver of the underlying JSF implementation
(for resolving managed-bean objects as defined in faces-config.xml
as well as well-known implicit EL attributes).ConversionService.ConversionService to do the actual type conversion.Expression allowing it to be used under the Spring
Binding Expression abstraction.SpelExpressionParser to the Spring Binding ExpressionParser interface.flow identified by the provided id.
flow definition where behavior is executed.Boolean instance.Class instance.Date types.Short.valueOf(String).Enum.Short.valueOf(String).Integer.valueOf(String).StringUtils.parseLocaleString(String).Long.valueOf(String).Short.valueOf(String).state to another state.TransitionCriteria.State.Renderer for the <sf:validateAllOnClick> tag.AttributeMap.
AttributeMap.
scope implementation.NamespaceHandler for the webflow-config namespace.OgnlExpressionParser that registers Web Flow-specific PropertyAccessors.SpringELExpressionParser that registers Web Flow specific Spring EL PropertyAccessors.FlowSerializedView and stores it in view scope.
|
Spring Web Flow | ||||||||
| PREV NEXT | FRAMES NO FRAMES | ||||||||